
singleton Material(steel_01)
{
   mapTo = "Steel";
   diffuseColor[0] = "0.2 0.2 0.2 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material(SC_Body)
{
   mapTo = "SC_Body";
   diffuseColor[0] = "0.8 0.8 0.8 1";
   diffuseMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/streetcar/streetcar_c.dds";
   diffuseMap[2] = "vehicles/streetcar/SC_body_da.dds";
   normalMap[0] = "vehicles/streetcar/SC_body_n.dds";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   dynamicCubemap = true;
   instanceDiffuse[1] = true;
   translucent = "1";
   materialTag0 = "vehicle";
   useAnisotropic[1] = "1";
};

singleton Material("SC_Body.skin.metro")
{
   mapTo = "SC_Body.skin.metro";
   diffuseColor[0] = "0.8 0.8 0.8 1";
   diffuseMap[0] = "vehicles/common/null.dds";
   overlayMap[1] = "vehicles/streetcar/SC_MetroDaily.dds";
   diffuseMap[1] = "vehicles/streetcar/streetcar_c.dds";
   diffuseMap[2] = "vehicles/streetcar/SC_body_da.dds";
   normalMap[0] = "vehicles/streetcar/SC_body_n.dds";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   dynamicCubemap = true;
   instanceDiffuse[1] = true;
   translucent = "1";
   materialTag0 = "vehicle";
   useAnisotropic[1] = "1";
};

singleton Material(SC_InteriorMat)
{
   mapTo = "SC_Interior";
   diffuseColor[1] = "0.9 0.89 0.83 1";
   diffuseMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/streetcar/streetcar_c.dds";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   materialTag0 = "vehicle";
};

singleton Material(SC_Chrome)
{
   mapTo = "SC_Chrome";
   diffuseColor[0] = "0.6 0.6 0.6 1";
   diffuseMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/streetcar/streetcar_c.dds";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   dynamicCubemap = true;
   translucent = "1";
   materialTag0 = "vehicle";
};

singleton Material(SC_glass)
{
    mapTo = "SC_glass";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/streetcar/SC_glass_d.dds";
    opacityMap[0] = "vehicles/streetcar/SC_glass_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseMap[1] = "vehicles/streetcar/SC_glass_da.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(SC_glass_int)
{
    mapTo = "SC_glass_int";
    diffuseMap[0] = "vehicles/streetcar/SC_glass_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    doubleSided = "0";
    alphaRef = "0";
    dynamicCubemap = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(SC_glass_dmg)
{
    mapTo = "SC_glass_dmg";
	reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/streetcar/SC_glass_dmg_d.dds";
    opacityMap[0] = "vehicles/streetcar/SC_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    diffuseMap[1] = "vehicles/streetcar/SC_glass_dmg_d.dds";
    specularMap[1] = "vehicles/common/glass_dmg_s.dds";
    normalMap[1] = "vehicles/common/glass_dmg_n.dds";
    specularPower[0] = "128";
    specularPower[1] = "128";
    diffuseColor[0] = "1 1 1 1.5";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(SC_Lights)
{
   mapTo = "SC_Lights";
   diffuseMap[1] = "vehicles/streetcar/SC_lights_d.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
	useAnisotropic[2] = "1";
};

singleton Material(SC_Headlights)
{
   mapTo = "SC_Headlights";
   diffuseColor[0] = "0.9 0.9 0.9 1";
   diffuseMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/streetcar/streetcar_c.dds";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   dynamicCubemap = true;
   translucent = "1";
   materialTag0 = "vehicle";
};

singleton Material(streetcar_lights)
{
   mapTo = "streetcar_lights";
   diffuseMap[1] = "vehicles/streetcar/SC_lights_d.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
	useAnisotropic[2] = "1";
};

singleton Material(streetcar_lights_on)
{
   mapTo = "streetcar_lights_on";
    diffuseMap[2] = "vehicles/streetcar/SC_lights_g.dds";
    diffuseMap[1] = "vehicles/streetcar/SC_lights_d.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.15";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
	useAnisotropic[2] = "1";
};

singleton Material(SC_Taillights)
{
   mapTo = "SC_Taillights";
   diffuseColor[0] = "0.7 0.2 0.2 1";
   diffuseMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/streetcar/streetcar_c.dds";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   dynamicCubemap = true;
   translucent = "1";
   materialTag0 = "vehicle";
};